import type { PlainObject } from './types';
export declare const STATUS: {
    readonly IDLE: "idle";
    readonly LOADING: "loading";
    readonly LOADED: "loaded";
    readonly FAILED: "failed";
    readonly READY: "ready";
    readonly UNSUPPORTED: "unsupported";
};
export declare function canUseDOM(): boolean;
export declare function isSupportedEnvironment(): boolean;
export declare function supportsInlineSVG(): boolean;
export declare function randomString(length: number): string;
/**
 *  Remove properties from an object
 */
export declare function omit<T extends PlainObject, K extends keyof T>(input: T, ...filter: K[]): Omit<T, K>;
